# 1 "<stdin>"
# 1 "<built-in>"
# 1 "<command-line>"
# 1 "<stdin>"
module nbound
! mark helix filter outputs where input is off data.
  use nhelix
  use bound
  implicit none
  contains
  subroutine nboundn ( ip, nd, na, aa)
    integer, dimension(:), intent( in) :: nd, na ! (ndim)
    type( nfilter) :: aa
    integer, intent (in) :: ip
    allocate( aa%mis( product (nd)))
    call boundn (nd, nd, na, aa%hlx( ip))
    aa%mis = aa%hlx( ip)%mis
    deallocate( aa%hlx( ip)%mis)
    nullify( aa%hlx( ip)%mis)
  end subroutine
end module
